# Command Line Parameters

Command Line Parameters
The installation directory of Clonk contains various executable program files. Usually programs are started with a double click or from a start menu without additional parameters. When starting programs from a command line shell or script file (batch file), additional command line parameters can be specified.
Clonk.exe (Windows) clonk (Linux) Clonk (Mac)
The engine. The main program of the game. Without startup parameters, the game starts in fullscreen (player mode) and shows the startup menu. The following command line parameters are recognized:

--editor
  Starts in editor mode (also called developer mode or windowed mode). In editor mode, scenarios can be edited and saved. The game will also start in editor mode if a scenario (*.ocs) and no --fullscreen is specified.
--fullscreen
  Starts in fullscreen mode (also called player mode). If no scenario and no direct join adress is given, the startup menu is shown.
--config=Filename
  Loads and saves the configuration from the specified file instead of the default configuration file or the Windows registry.
--record
  The round is recorded.
--network, --nonetwork
  Activates or deactivates network mode.
--signup, --nosignup
  Activates or deactivates online signup of the game as public internet game. This value is stored in the configuration.
  --signup implies --network. --nosignup implies --noleague.
--league, --noleague
  Activates or deactivates online signup of the game as league game. This value is stored in the configuration.
  --league implies --network and --signup.
--runtimejoin, --noruntimejoin
  Activates or deactivates runtime join. This setting will be stored in the configuration.
--lobby[=time]
  Activates the lobby before a network game is started. The lobby is the waiting- and chat screen. The lobby is on by default for all network games. Implies --network. If you specify a time (e.g. --lobby=120) the lobby will start with a countdown, automatically launching the game after (in this case) 120 seconds.
--observe
  For network games: The client joins as observer (without players). Implies --network.
--join=<Address>
  Searches for a network game on the specified address and joins it. No local scenario (*.ocs) should be specified. Implies --network.
clonk://<Address>/
  Same as --join if an address is specified. If "update" is specified as an address, this will cause the engine to perform an update check instead.
--tcpport=<Port Number>
  Sets the TCP port number for client connections in network games. This setting will be stored in the configuration. If -1 is specified, TCP is disabled and all connections are created using UDP.
--udpport=<Port Number>
  Sets the UDP port number for client connections in network games. This setting will be stored in the configuration. If -1 is specified, UDP is disabled and all connections are created using TCP.
--pass=<Password>
  For network hosts: sets the join password to the specified value. If <Password> is left empty, no password is set.
--comment=<Comment>
  For network hosts: sets the network game comment. This setting will be stored in the configuration.
--update
  Performs an update check at program start.
--recdump=<Filename>
  Only for replay of recorded games: Before the replay is started, all replay data (player controls) are dumped into a file called <File name> in the Clonk folder. If the file name extension is .txt, the controls will be dumped in text mode, otherwise binary. The replay file must be specified separately as a scenario file (e.g. Clonk.exe Records.ocf/Record001.ocs --recdump=CtrlRec.txt).
--startup=<Name>
  Only for fullscreen startup menu: Instead of the main menu, one of the submenus is shown directly. Possible values for <Name> are main (Main menu), scen (Scenario selection), netscen (Scenario selection for a new network game), net (Network/Internet game list), options (Options menu) und plrsel (Player selection).
*.ocs
  If a scenario is specified (File extension .ocs), it will be started directly.
*.ocd
  If the started scenario does not specify any required definitions (File extension .ocd), and no definitions are supplied in the registry, definitions can be specified via command line.
*.ocp
  Player files (File extension .ocp) can be specified in the command line. If no player files are given, the config values are used. By specifying a non-existant player (like doesnotexist.ocp), the game can be started without players (e.g. in order to just edit landscapes in developer mode).
*.ocu
  If the filename of an update package (extension .ocu) is passed to the engine, then the program will attempt to apply that update package to the local installation.

c4group.exe (Windows) c4group (Linux) c4group (Mac)
This command line program is used for processing group files. A list of command line options is available by starting the program without parameters via command line (not by double clicking).
Sven2
2007-02
Günther
2011